Đến nội dung


Hình ảnh
- - - - -

Lệnh Di rồi xuất ra text theo 2 chiều!!


  • Please log in to reply
2 replies to this topic

#1 namhai

namhai

    biết vẽ rectang

  • Members
  • PipPip
  • 81 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 08 August 2009 - 09:19 AM

Chào các bác, mong các bác giúp đỡ e lisp này với. khi mình Di thì sẽ cho kết quả theo 2 chiều X, Y, e muốn xuất cả 2 kết quả đấy ra text, ý tưởng của e như sau mong mọi người giúp đỡ :
- Lệnh DI để cho Khoảng cách X, Y
- Chọn text để ghi kết quả X
- Chọn text để ghi kết quả Y
  • 0
Hãy làm việc hết mình rồi mọi điều tốt đẹp sẽ đến với bạn.....

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 08 August 2009 - 09:40 AM

Chào các bác, mong các bác giúp đỡ e lisp này với. khi mình Di thì sẽ cho kết quả theo 2 chiều X, Y, e muốn xuất cả 2 kết quả đấy ra text, ý tưởng của e như sau mong mọi người giúp đỡ :
- Lệnh DI để cho Khoảng cách X, Y
- Chọn text để ghi kết quả X
- Chọn text để ghi kết quả Y

Bạn sử dụng Code này xem sao :
(defun c:xt2c()
(setq p1 (getpoint "\n chon diem thu 1 :"))
(setq p2 (getpoint p1 "\n chon diem thu 2 :"))
(setq di (distance p1 p2))
(setq ang (angle p1 p2))
(setq y (rtos (abs (* di (sin ang))) 2 3))
(setq x (rtos (abs (* di (cos ang))) 2 3))
(setq tex (entget(car (entsel "\n Chon text de xuat khoang cach X :"))))
(setq tex (entmod(subst (cons 1 x) (assoc 1 tex) tex)))
(setq tey (entget(car (entsel "\n Chon text de xuat khoang cach Y :"))))
(setq tey (entmod(subst (cons 1 y) (assoc 1 tey) tey)))
(princ)
)

  • 2

#3 namhai

namhai

    biết vẽ rectang

  • Members
  • PipPip
  • 81 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 08 August 2009 - 01:45 PM

Bạn sử dụng Code này xem sao :

(defun c:xt2c()
(setq p1 (getpoint "\n chon diem thu 1 :"))
(setq p2 (getpoint p1 "\n chon diem thu 2 :"))
(setq di (distance p1 p2))
(setq ang (angle p1 p2))
(setq y (rtos (abs (* di (sin ang))) 2 3))
(setq x (rtos (abs (* di (cos ang))) 2 3))
(setq tex (entget(car (entsel "\n Chon text de xuat khoang cach X :"))))
(setq tex (entmod(subst (cons 1 x) (assoc 1 tex) tex)))
(setq tey (entget(car (entsel "\n Chon text de xuat khoang cach Y :"))))
(setq tey (entmod(subst (cons 1 y) (assoc 1 tey) tey)))
(princ)
)

Lisp rất tuyệt, đúng như điều e muốn rồi, cảm ơn bác Tue_NV nhiều nha!Happy weekend :bigsmile:
  • 0
Hãy làm việc hết mình rồi mọi điều tốt đẹp sẽ đến với bạn.....